Subject: Re: IPP> MOD - UPDATE FOR STATUS CODE KEYWORDS IN THE MODELDOCUMENT [spool-space-full]

From: Tom Hastings <[email-masked]>
Date: Fri, 23 May 1997 12:37:31 PDT

I agree with Randy, that there is no need for a limit on the number
of documents for a level 2 implementations (that shall implement
CreateJob/SendDocument). In fact, we should make it clear that 
a conforming level 2 implementation shall accept multiple documents, one with
each SendDocument.  The only error status codes we need is for the case of when 
total size of the document data for the job as specified by site policy.

Tom

At 10:35 05/22/97 PDT, Randy Turner wrote:
>Scott Isaacson wrote:
>
>..snip..snip..
>
>> >
>> > 4.4.4.7 server-error-too-many-documents-in-job (IPP)
>> >
>> >  With the changes from last week where all Printers support PrintJob
>>
>> >  (1 document per job) and some support CreateJob/SendJobData (1 or
>> >  more documents per job), this message isn't needed. The error
>> >  server-error-operation-not-implemented handles this problem
>> instead.
>> >
>>
>> Is there a case where the Printer supports both Print-Job and
>> Create-Job/Send-Job-Data but for some reason has an implementation
>> limit of
>> N documents per job?  It would be helpful to have this error code for
>> that
>> case.  We have no way (nor do I propose) to query the printer to find
>> out
>> how many multiple docs per job it supports.
>
>I cannot imagine a case where "too many documents per job" would be
>used. If
>there are too many documents in a single job, chances are the spooler
>(or whatever)
>decided that the job was just too big to handle (disk full, resource
>allocation error, whatever)
>to handle the job. I don't think it has anything to do with documents,
>IMHO.
>
>Randy
>
>> Scott
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>
>
>
>